Get Banks
GET /obp/v7.0.0/banks
OBPv6.0.0-getBanks No role required BankAccount Information Service (AIS)PSD2
Get banks on this API instance Returns a list of banks supported on this server:
- bank_id used as parameter in URLs
- Short and full name of bank
- Logo URL
- Website
User Authentication is Optional. The User need not be logged in.
JSON response body fields (12)
- address
- bank_code
- CGHZ
- bank_id
- gh.29.uk
- bank_routings
- bank routing in form of (scheme, address)
- banks
- full_name
- full name string
- logo
- logo url
- name
- ACCOUNT_MANAGEMENT_FEE
- scheme
- OBP
- value
- 5987953
- website
- www.openbankproject.com
- attributes
- attribute value in form of (name, value)
Example success response
{
"banks": [
{
"bank_id": "gh.29.uk",
"bank_code": "bank_code",
"full_name": "full_name",
"logo": "logo",
"website": "www.openbankproject.com",
"bank_routings": [
{
"scheme": "OBP",
"address": "gh.29.uk"
}
],
"attributes": [
{
"name": "OVERDRAFT_LIMIT",
"value": "1000"
}
]
}
]
}Possible errors (1)
- OBP-50000: Unknown Error.